package intrinsic.mx.utils;

public class ObjectProxy extends intrinsic.flash.utils.Proxy implements intrinsic.mx.core.IPropertyChangeNotifier, intrinsic.flash.utils.IExternalizable, intrinsic.flash.events.IEventDispatcher, intrinsic.mx.core.IUID {

	/** Accessors */
	public Object object;
	public String uid;
	public intrinsic.QName type;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ObjectProxy() {
}

public ObjectProxy(Object arg0) {
}

public ObjectProxy(Object arg0, Object arg1) {
}

public ObjectProxy(Object arg0, Object arg1, Object arg2) {
}


/** Static Methods */

/** Methods */
public native void readExternal(intrinsic.flash.utils.IDataInput arg0);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native Object getComplexProperty(Object arg0, Object arg1);
public native void propertyChangeHandler(intrinsic.mx.events.PropertyChangeEvent arg0);
public native boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public native boolean hasEventListener(String arg0);
public native void writeExternal(intrinsic.flash.utils.IDataOutput arg0);
public native boolean willTrigger(String arg0);

}
